Subject: Re: [PATCH v2 0/5] seqlock: Introduce PREEMPT_RT support

From: Stephen Rothwell <[email-masked]>
Date: Thu, 17 Sep 2020 12:31:46 +1000

Hi all,

On Wed, 16 Sep 2020 15:02:33 +0200 [email-masked] wrote:
>
> On Wed, Sep 16, 2020 at 09:00:59AM -0400, Qian Cai wrote:
> > 
> > 
> > ----- Original Message -----  
> > > On Wed, Sep 16, 2020 at 08:52:07AM -0400, Qian Cai wrote:  
> > > > On Tue, 2020-09-15 at 16:30 +0200, [email-masked] wrote:  
> > > > > On Tue, Sep 15, 2020 at 08:48:17PM +0800, Boqun Feng wrote:  
> > > > > > I think this happened because seqcount_##lockname##_init() is defined
> > > > > > at
> > > > > > function rather than macro, so when the seqcount_init() gets expand in  
> > > > > 
> > > > > Bah! I hate all this :/
> > > > > 
> > > > > I suspect the below, while more verbose than I'd like is the best
> > > > > option.  
> > > > 
> > > > Stephen, can you add this patch for now until Peter beats you to it?  
> > > 
> > > Did you verify it works? I only wrote it..  
> > 
> > Yes, I did.  
> 
> Excellent, I'll stick a Tested-by from you on then.

I'll add this into the tip tree merge today (unless the tip tree is
updated in the mean time).

-- 
Cheers,
Stephen Rothwell